Package org.eclipse.birt.report.model.api.core

# Interface INameManager

public interface INameManager
Interface to do all managements about the element names.

## Method Summary

Modifier and Type
Method
Description
`void`
`addContentName(int id, String name)`
Adds a content name to the name-manager.
`void`
`clear()`
Clears the data in name manage and re-initialize it.
`void`
`dropElement(org.eclipse.birt.report.model.core.DesignElement element)`
Deletes the element from the name manager.
`org.eclipse.birt.report.model.core.Module`
`getHostModule()`
Gets the host module of this name manager.
`String`
`getUniqueName(org.eclipse.birt.report.model.core.DesignElement element)`
Returns a unique name for the given element.
`void`
`makeUniqueName(org.eclipse.birt.report.model.core.DesignElement element)`
Makes a unique name for the given element.

## Method Details

### getHostModule

org.eclipse.birt.report.model.core.Module getHostModule()
Gets the host module of this name manager. The host module is what adapts all the managements for element names to assure that all the child elements have a unqiue name.

Returns:
  the host module of this name manager

### makeUniqueName

void makeUniqueName(org.eclipse.birt.report.model.core.DesignElement element)
Makes a unique name for the given element.

Parameters:
  `element` - the element to make a unique name

### clear

void clear()
Clears the data in name manage and re-initialize it.

### dropElement

void dropElement(org.eclipse.birt.report.model.core.DesignElement element)
Deletes the element from the name manager.

Parameters:
  `element` - the element to drop

### getUniqueName

String getUniqueName(org.eclipse.birt.report.model.core.DesignElement element)
Returns a unique name for the given element.

Parameters:
  `element` - the given element.
Returns:
  unique name.

### addContentName

void addContentName(int id, String name)
Adds a content name to the name-manager.

Parameters:
  `id` - name space id
  `name` - the name of the content